image: node:14.0.0-alpine

# Deploys the project containing the OpenAPI specification as a Swagger static page
pages:
  stage: deploy
  script:
  - cd openapi
  - npm install
  - npm run bundle
  - mkdir ../public
  - cp -a public/. ../public/openapi
  artifacts:
    paths:
    - public
    expire_in: 1 day
  only:
  - master
